# Delete consents by user ID

Delete consents by user ID. If no consent ID is provided, all consents for the user are deleted. **Required permissions**: `apps:delete`, `[appId]:delete`, `consents:delete`.

Endpoint: DELETE /v1/consents/clients/{clientId}/users/{userId}
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `clientId` (string, required)
    ID of the client

  - `userId` (string, required)
    ID of the user

## Query parameters:

  - `consent_id` (string)
    ID of the consent to delete

## Response 404 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 404

